<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_GovermentGrantsProceeds" xlink:label="IHB_GovermentGrantsProceeds" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_LiquidationShares" xlink:label="IHB_LiquidationShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_InterestSwapPayments" xlink:label="IHB_InterestSwapPayments" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_ReductionOfIssuedCapitalInRegistration" xlink:label="IHB_ReductionOfIssuedCapitalInRegistration" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_InterestsPaidOnBorrowings" xlink:label="IHB_InterestsPaidOnBorrowings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_FeesAndCommissionsPaidOnBorrowings" xlink:label="IHB_FeesAndCommissionsPaidOnBorrowings" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_ReductionOfIssuedCapitalUnderRegistrationMember" xlink:label="IHB_ReductionOfIssuedCapitalUnderRegistrationMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_LongTermOtherBorrowingsRelatedParties" xlink:label="IHB_LongTermOtherBorrowingsRelatedParties" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_ShortTermOtherBorrowingsRelatedParties" xlink:label="IHB_ShortTermOtherBorrowingsRelatedParties" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_TotalIncome" xlink:label="IHB_TotalIncome" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_StatutoryAndOtherReservesMember" xlink:label="IHB_StatutoryAndOtherReservesMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" xlink:label="ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_InterestsPaidOnLeases" xlink:label="IHB_InterestsPaidOnLeases" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_OtherTaxesPaidRefund" xlink:label="IHB_OtherTaxesPaidRefund" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="549300fb8mdvugq9uo94-2021-12-31.xsd#IHB_ExchangeDifferences" xlink:label="IHB_ExchangeDifferences" />
    <labelArc xlink:type="arc" xlink:from="IHB_TotalIncome" xlink:to="label_IHB_ihbTotalIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:to="label_IHB_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationNetOfTax_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" xlink:to="label_IHB_ifrs-fullGainsLossesOnCashFlowHedgesNetOfTax_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:to="label_IHB_ifrs-fullOtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="IHB_ReductionOfIssuedCapitalInRegistration" xlink:to="label_IHB_ihbReductionOfIssuedCapitalInRegistration_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_LongTermOtherBorrowingsRelatedParties" xlink:to="label_IHB_ihbLongTermOtherBorrowingsRelatedParties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_ShortTermOtherBorrowingsRelatedParties" xlink:to="label_IHB_ihbShortTermOtherBorrowingsRelatedParties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_OtherTaxesPaidRefund" xlink:to="label_IHB_ihbOtherTaxesPaidRefund_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_ExchangeDifferences" xlink:to="label_IHB_ihbExchangeDifferences_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_GovermentGrantsProceeds" xlink:to="label_IHB_ihbGovermentGrantsProceeds_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_IHB_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_IHB_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="IHB_InterestsPaidOnBorrowings" xlink:to="label_IHB_ihbInterestsPaidOnBorrowings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_InterestsPaidOnLeases" xlink:to="label_IHB_ihbInterestsPaidOnLeases_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_FeesAndCommissionsPaidOnBorrowings" xlink:to="label_IHB_ihbFeesAndCommissionsPaidOnBorrowings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_InterestSwapPayments" xlink:to="label_IHB_ihbInterestSwapPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_IHB_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_IHB_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="IHB_ReductionOfIssuedCapitalUnderRegistrationMember" xlink:to="label_IHB_ReductionOfIssuedCapitalUnderRegistrationMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_StatutoryAndOtherReservesMember" xlink:to="label_IHB_StatutoryAndOtherReservesMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="IHB_LiquidationShares" xlink:to="label_IHB_ihbLiquidationShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_IHB_ihbTotalIncome_Standard" id="IHB_ihbTotalIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Общо Приходи</label>
    <label xlink:label="label_IHB_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationNetOfTax_Total" id="IHB_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationNetOfTax_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Курсови разлики от валутно преизчисление на чуждестранни дейности с приспаднати данъци</label>
    <label xlink:label="label_IHB_ifrs-fullGainsLossesOnCashFlowHedgesNetOfTax_Total" id="IHB_ifrs-fullGainsLossesOnCashFlowHedgesNetOfTax_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетно изменение на хедж на паричния поток с приспаднати данъци</label>
    <label xlink:label="label_IHB_ifrs-fullOtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation_Total" id="IHB_ifrs-fullOtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Преоценка на земи и сгради с приспаднати данъци</label>
    <label xlink:label="label_IHB_ihbReductionOfIssuedCapitalInRegistration_Standard" id="IHB_ihbReductionOfIssuedCapitalInRegistration_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Намаление на акционерен капитала (в процес на вписване)</label>
    <label xlink:label="label_IHB_ihbLongTermOtherBorrowingsRelatedParties_Standard" id="IHB_ihbLongTermOtherBorrowingsRelatedParties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Получени дългосрочни заеми от свързани лица</label>
    <label xlink:label="label_IHB_ihbShortTermOtherBorrowingsRelatedParties_Standard" id="IHB_ihbShortTermOtherBorrowingsRelatedParties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Получени краткосрочни заеми от свързани лица</label>
    <label xlink:label="label_IHB_ihbOtherTaxesPaidRefund_Standard" id="IHB_ihbOtherTaxesPaidRefund_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Възстановени/(платени) други данъци</label>
    <label xlink:label="label_IHB_ihbExchangeDifferences_Standard" id="IHB_ihbExchangeDifferences_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Курсови разлики</label>
    <label xlink:label="label_IHB_ihbGovermentGrantsProceeds_Standard" id="IHB_ihbGovermentGrantsProceeds_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Получени правителствени финансирания</label>
    <label xlink:label="label_IHB_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="IHB_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетен паричен поток от оперативна дейност</label>
    <label xlink:label="label_IHB_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="IHB_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетен паричен поток, използван в инвестиционна дейност</label>
    <label xlink:label="label_IHB_ihbInterestsPaidOnBorrowings_Standard" id="IHB_ihbInterestsPaidOnBorrowings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Платени лихви по заеми и други привлечени средства</label>
    <label xlink:label="label_IHB_ihbInterestsPaidOnLeases_Standard" id="IHB_ihbInterestsPaidOnLeases_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Платени лихви по лизингови договори</label>
    <label xlink:label="label_IHB_ihbFeesAndCommissionsPaidOnBorrowings_Standard" id="IHB_ihbFeesAndCommissionsPaidOnBorrowings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Платени такси и комисионни по заеми и привлечени средства</label>
    <label xlink:label="label_IHB_ihbInterestSwapPayments_Standard" id="IHB_ihbInterestSwapPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Плащания по договор за лихвен суап</label>
    <label xlink:label="label_IHB_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="IHB_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетен паричен поток, използван във финансова дейност</label>
    <label xlink:label="label_IHB_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="IHB_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетно увеличение на парични средства и парични еквиваленти</label>
    <label xlink:label="label_IHB_ReductionOfIssuedCapitalUnderRegistrationMember" id="IHB_ReductionOfIssuedCapitalUnderRegistrationMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Намаление на акционерен капитал в процес на вписване [member]</label>
    <label xlink:label="label_IHB_StatutoryAndOtherReservesMember" id="IHB_StatutoryAndOtherReservesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Допълнителни и законови резерви [member]</label>
    <label xlink:label="label_IHB_ihbLiquidationShares_Standard" id="IHB_ihbLiquidationShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Разпределение на ликвидационни дялове</label>
  </labelLink>
</linkbase>